Altibase.jdbc.driver.cm

## Class CmShardHandshakeResult

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmProtocolContext
  - - Altibase.jdbc.driver.cm.CmShardHandshakeResult

    public class CmShardHandshakeResult
    extends CmProtocolContext

### Constructor Summary

Constructors
Constructor and Description
`CmShardHandshakeResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setError(int aErrorCode, java.lang.String aErrorMessage)`
`void` `setResult(byte aMajorVer, byte aMinorVer, byte aPatchVer, byte aFlags)`
`java.lang.String` `toString()`

### Methods inherited from class Altibase.jdbc.driver.cm.CmProtocolContext

`addCmResult, addError, channel, clearCmResult, clearError, getCmResult, getError, setChannel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CmShardHandshakeResult

    public CmShardHandshakeResult()

### Method Detail

#### setError

    public void setError(int aErrorCode,
                         java.lang.String aErrorMessage)

#### setResult

    public void setResult(byte aMajorVer,
                          byte aMinorVer,
                          byte aPatchVer,
                          byte aFlags)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`